problem ragarding apt-get upgrade

New to Debian (Or Linux in general)? Ask your questions here!

problem ragarding apt-get upgrade

Postby tr64 » 2015-08-12 10:44

help me with this error :
root@zx:/home/qwerty# apt-get upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
Calculating upgrade... The following packages were automatically installed and are no longer required:
389-ds-base 389-ds-base-libs clustalo dialign-tx dialign-tx-data diffstat
distro-info-data gdbserver ldap-utils libadminutil-data libadminutil0
libapache2-mod-nss libargtable2-0 libds-admin-serv0 libgettextpo0
libmozilla-ldap-perl libnetaddr-ip-perl libnss3-tools
libsocket-getaddrinfo-perl libsvrcore0 xemacs21-basesupport
xemacs21-mulesupport
Use 'apt-get autoremove' to remove them.
Done
The following packages will be upgraded:
iceweasel
1 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
1 not fully installed or removed.
Need to get 39.3 MB/50.0 MB of archives.
After this operation, 10.7 MB of additional disk space will be used.
Do you want to continue? [Y/n] y
Get:1 http://security.debian.org/ jessie/updates/main iceweasel amd64 38.2.0esr-1~deb8u1 [39.3 MB]
Fetched 39.3 MB in 9min 19s (70.2 kB/s)
Reading changelogs... Done
(Reading database ... 365840 files and directories currently installed.)
Preparing to unpack .../iceweasel_38.2.0esr-1~deb8u1_amd64.deb ...
Leaving 'diversion of /usr/bin/firefox to /usr/bin/firefox.real by iceweasel'
Unpacking iceweasel (38.2.0esr-1~deb8u1) over (31.8.0esr-1~deb8u1) ...
Processing triggers for mime-support (3.58) ...
Processing triggers for desktop-file-utils (0.22-1) ...
Processing triggers for gnome-menus (3.13.3-6) ...
Processing triggers for man-db (2.7.0.2-5) ...
Processing triggers for hicolor-icon-theme (0.13-1) ...
dpkg: error processing package ldap-account-manager (--configure):
package ldap-account-manager is not ready for configuration
cannot configure (current status `half-installed')
Setting up iceweasel (38.2.0esr-1~deb8u1) ...
Installing new version of config file /etc/iceweasel/pref/iceweasel.js ...
Installing new version of config file /etc/iceweasel/profile/bookmarks.html ...
Installing new version of config file /etc/iceweasel/searchplugins/locale/en-US/amazondotcom.xml ...
Installing new version of config file /etc/iceweasel/searchplugins/locale/en-US/bing.xml ...
Installing new version of config file /etc/iceweasel/searchplugins/locale/en-US/eBay.xml ...
Installing new version of config file /etc/iceweasel/searchplugins/locale/en-US/google.xml ...
Installing new version of config file /etc/iceweasel/searchplugins/locale/en-US/twitter.xml ...
Installing new version of config file /etc/iceweasel/searchplugins/locale/en-US/wikipedia.xml ...
Installing new version of config file /etc/iceweasel/searchplugins/locale/en-US/yahoo.xml ...
Removing obsolete conffile /etc/iceweasel/searchplugins/common/duckduckgo.xml ...
Errors were encountered while processing:
ldap-account-manager
E: Sub-process /usr/bin/dpkg returned an error code (1)
tr64
 
Posts: 23
Joined: 2015-08-12 10:27

Re: problem ragarding apt-get upgrade

Postby Head_on_a_Stick » 2015-08-12 11:03

Please don't cross post.
viewtopic.php?f=30&t=124099

What is in your sources.list?

What is the output of:
Code: Select all
apt-get install -s ldap-account-manager
User avatar
Head_on_a_Stick
 
Posts: 8009
Joined: 2014-06-01 17:46
Location: /dev/chair

Re: problem ragarding apt-get upgrade

Postby tr64 » 2015-08-12 11:24

sources.list contents:

#

# deb cdrom:[Debian GNU/Linux 8.0.0 _Jessie_ - Official amd64 DVD Binary-1 20150425-12:54]/ jessie contrib main

#deb cdrom:[Debian GNU/Linux 8.0.0 _Jessie_ - Official amd64 DVD Binary-1 20150425-12:54]/ jessie contrib main

# Line commented out by installer because it failed to verify:
#deb http://security.debian.org/ jessie/updates main contrib
# Line commented out by installer because it failed to verify:
#deb-src http://security.debian.org/ jessie/updates main contrib

deb http://security.debian.org/ jessie/updates main contrib non-free
deb-src http://security.debian.org/ jessie/updates main contrib non-free

deb http://ftp.de.debian.org/debian/ jessie main contrib non-free
deb-src http://ftp.de.debian.org/debian/ jessie main contrib non-free

****************************************************************************************************************

root@zx:/home/qwerty# apt-get install -s ldap-account-manager
Reading package lists... Done
Building dependency tree
Reading state information... Done
ldap-account-manager is already the newest version.
The following packages were automatically installed and are no longer required:
389-ds-base 389-ds-base-libs clustalo dialign-tx dialign-tx-data diffstat
distro-info-data gdbserver ldap-utils libadminutil-data libadminutil0
libapache2-mod-nss libargtable2-0 libds-admin-serv0 libgettextpo0
libmozilla-ldap-perl libnetaddr-ip-perl libnss3-tools
libsocket-getaddrinfo-perl libsvrcore0 xemacs21-basesupport
xemacs21-mulesupport
Use 'apt-get autoremove' to remove them.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
1 not fully installed or removed.
Conf ldap-account-manager (4.7.1-1 Debian:8.1/stable [all])
tr64
 
Posts: 23
Joined: 2015-08-12 10:27

Re: problem ragarding apt-get upgrade

Postby kiyop » 2015-08-12 13:59

Execute the following and post the results:
Code: Select all
cat /etc/apt/sources.list.d/*


Have you used apt-pinning?

How about executing the following with root privilege?
Code: Select all
apt-get install -f
dpkg --configure -a

If error messages are displayed, post them.

For my reminder: https://packages.debian.org/jessie/ldap-account-manager
Openbox, JWM: Jessie, Sid, Arch / Win XP (on VirtualBox), 10
http://kiyoandkei.bbs.fc2.com/
User avatar
kiyop
 
Posts: 3984
Joined: 2011-05-05 15:16
Location: Where persons without desire to improve themselves fear to tread, in Japan

Re: problem ragarding apt-get upgrade

Postby stevepusser » 2015-08-12 19:54

Can you temporarily remove ldap-account-manager to allow the upgrade?
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: Kdenlive 18.08.1, Pale Moon 28.1.0, wine-staging 3.17, qBittorrent 4.1.3, Liquorix kernel 4.18-13, Audacity 2.3.0
User avatar
stevepusser
 
Posts: 10008
Joined: 2009-10-06 05:53

Re: problem ragarding apt-get upgrade

Postby tr64 » 2015-08-13 07:16

qwerty@zx:~$ su
Password:
root@zx:/home/qwerty# cat /etc/apt/sources.list.d/*
cat: /etc/apt/sources.list.d/*: No such file or directory
root@zx:/home/qwerty# apt-get install -f
Reading package lists... Done
Building dependency tree
Reading state information... Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
1 not fully installed or removed.
Need to get 0 B/10.7 MB of archives.
After this operation, 0 B of additional disk space will be used.
dpkg: error processing package ldap-account-manager (--configure):
package ldap-account-manager is not ready for configuration
cannot configure (current status `half-installed')
Errors were encountered while processing:
ldap-account-manager
E: Sub-process /usr/bin/dpkg returned an error code (1)
root@zx:/home/qwerty# dpkg --configure -a
root@zx:/home/qwerty#
tr64
 
Posts: 23
Joined: 2015-08-12 10:27

Re: problem ragarding apt-get upgrade

Postby kiyop » 2015-08-13 07:26

stevepusser wrote:Can you temporarily remove ldap-account-manager to allow the upgrade?

+1
To check,
Code: Select all
apt-get -f -s remove ldap-accont-manager

If it seems not to break the system ;), execute
Code: Select all
apt-get -f remove ldap-accont-manager
Last edited by kiyop on 2015-08-13 07:30, edited 1 time in total.
Openbox, JWM: Jessie, Sid, Arch / Win XP (on VirtualBox), 10
http://kiyoandkei.bbs.fc2.com/
User avatar
kiyop
 
Posts: 3984
Joined: 2011-05-05 15:16
Location: Where persons without desire to improve themselves fear to tread, in Japan

Re: problem ragarding apt-get upgrade

Postby tr64 » 2015-08-13 07:30

root@zx:/home/qwerty# apt-get -f -s remove ldap-accont-manager
Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Unable to locate package ldap-accont-manager
root@zx:/home/qwerty#
tr64
 
Posts: 23
Joined: 2015-08-12 10:27

Re: problem ragarding apt-get upgrade

Postby kiyop » 2015-08-13 07:31

tr64 wrote:root@zx:/home/qwerty# apt-get -f -s remove ldap-accont-manager
Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Unable to locate package ldap-accont-manager
root@zx:/home/qwerty#

My bad :oops: typo!
Excuse me.
Code: Select all
apt-get -f -s remove ldap-account-manager
Openbox, JWM: Jessie, Sid, Arch / Win XP (on VirtualBox), 10
http://kiyoandkei.bbs.fc2.com/
User avatar
kiyop
 
Posts: 3984
Joined: 2011-05-05 15:16
Location: Where persons without desire to improve themselves fear to tread, in Japan

Re: problem ragarding apt-get upgrade

Postby tr64 » 2015-08-13 07:36

root@zx:/home/qwerty# apt-get -f -s remove ldap-account-manager
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages will be REMOVED:
ldap-account-manager
0 upgraded, 0 newly installed, 1 to remove and 0 not upgraded.
1 not fully installed or removed.
Remv ldap-account-manager [4.7.1-1]
root@zx:/home/qwerty#
tr64
 
Posts: 23
Joined: 2015-08-12 10:27

Re: problem ragarding apt-get upgrade

Postby kiyop » 2015-08-13 07:52

Seems OK. Thus, execute to remove ldap-account-manager temporarily:
Code: Select all
apt-get -f remove ldap-account-manager

And then, to check if "upgrade" works correctly, execute
Code: Select all
apt-get update
apt-get upgrade
Openbox, JWM: Jessie, Sid, Arch / Win XP (on VirtualBox), 10
http://kiyoandkei.bbs.fc2.com/
User avatar
kiyop
 
Posts: 3984
Joined: 2011-05-05 15:16
Location: Where persons without desire to improve themselves fear to tread, in Japan

Re: problem ragarding apt-get upgrade

Postby tr64 » 2015-08-13 07:58

root@zx:/home/qwerty# apt-get -f remove ldap-account-manager
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages will be REMOVED:
ldap-account-manager
0 upgraded, 0 newly installed, 1 to remove and 0 not upgraded.
1 not fully installed or removed.
After this operation, 34.5 MB disk space will be freed.
Do you want to continue? [Y/n] y
dpkg: error processing package ldap-account-manager (--remove):
package is in a very bad inconsistent state; you should
reinstall it before attempting a removal
Errors were encountered while processing:
ldap-account-manager
E: Sub-process /usr/bin/dpkg returned an error code (1)
tr64
 
Posts: 23
Joined: 2015-08-12 10:27

Re: problem ragarding apt-get upgrade

Postby kiyop » 2015-08-13 08:03

tr64 wrote:dpkg: error processing package ldap-account-manager (--remove):
package is in a very bad inconsistent state; you should
reinstall it before attempting a removal
Errors were encountered while processing:
ldap-account-manager
E: Sub-process /usr/bin/dpkg returned an error code (1)

Severe!
Maybe I cannot help you. dilberts_left_nut or so may be able to solve it.

How about trying the following?
Code: Select all
apt-get clean
apt-get update
apt-get -f install --reinstall ldap-account-manager


And I found
http://askubuntu.com/questions/148715/h ... tate-error
How about trying the following if the above does not solve the problem?
Code: Select all
dpkg --remove --force-remove-reinstreq ldap-account-manager
apt-get install ldap-account-manager
Openbox, JWM: Jessie, Sid, Arch / Win XP (on VirtualBox), 10
http://kiyoandkei.bbs.fc2.com/
User avatar
kiyop
 
Posts: 3984
Joined: 2011-05-05 15:16
Location: Where persons without desire to improve themselves fear to tread, in Japan

Re: problem ragarding apt-get upgrade

Postby tr64 » 2015-08-13 08:13

Thanks anyway . nice chatting with you . I did the codes you just mentioned and still nothing
I guess it has something to do with apache2


root@zx:/home/qwerty# apt-get clean
root@zx:/home/qwerty# apt-get update
Hit http://security.debian.org jessie/updates InRelease
Hit http://security.debian.org jessie/updates/main Sources
Hit http://security.debian.org jessie/updates/contrib Sources
Hit http://security.debian.org jessie/updates/non-free Sources
Hit http://ftp.de.debian.org jessie InRelease
Hit http://security.debian.org jessie/updates/main amd64 Packages
Hit http://ftp.de.debian.org jessie/main Sources
Hit http://security.debian.org jessie/updates/contrib amd64 Packages
Hit http://ftp.de.debian.org jessie/contrib Sources
Hit http://ftp.de.debian.org jessie/non-free Sources
Hit http://security.debian.org jessie/updates/non-free amd64 Packages
Hit http://ftp.de.debian.org jessie/main amd64 Packages
Hit http://security.debian.org jessie/updates/main i386 Packages
Hit http://ftp.de.debian.org jessie/contrib amd64 Packages
Hit http://ftp.de.debian.org jessie/non-free amd64 Packages
Hit http://security.debian.org jessie/updates/contrib i386 Packages
Hit http://ftp.de.debian.org jessie/main i386 Packages
Hit http://security.debian.org jessie/updates/non-free i386 Packages
Hit http://ftp.de.debian.org jessie/contrib i386 Packages
Hit http://ftp.de.debian.org jessie/non-free i386 Packages
Hit http://security.debian.org jessie/updates/contrib Translation-en
Hit http://ftp.de.debian.org jessie/contrib Translation-en
Hit http://security.debian.org jessie/updates/main Translation-en
Hit http://ftp.de.debian.org jessie/main Translation-en
Hit http://security.debian.org jessie/updates/non-free Translation-en
Hit http://ftp.de.debian.org jessie/non-free Translation-en
Reading package lists... Done
root@zx:/home/qwerty# apt-get -f install --reinstall ldap-account-manager
Reading package lists... Done
Building dependency tree
Reading state information... Done
0 upgraded, 0 newly installed, 1 reinstalled, 0 to remove and 0 not upgraded.
1 not fully installed or removed.
Need to get 10.7 MB of archives.
After this operation, 0 B of additional disk space will be used.
Get:1 http://ftp.de.debian.org/debian/ jessie/main ldap-account-manager all 4.7.1-1 [10.7 MB]
Fetched 10.7 MB in 3min 1s (59.1 kB/s)
Preconfiguring packages ...
Selecting previously unselected package ldap-account-manager.
(Reading database ... 363917 files and directories currently installed.)
Preparing to unpack .../ldap-account-manager_4.7.1-1_all.deb ...
Unpacking ldap-account-manager (4.7.1-1) over (4.7.1-1) ...
Job for apache2.service failed. See 'systemctl status apache2.service' and 'journalctl -xn' for details.
invoke-rc.d: initscript apache2, action "reload" failed.
dpkg: warning: subprocess old post-removal script returned error exit status 1
dpkg: trying script from the new package instead ...
Job for apache2.service failed. See 'systemctl status apache2.service' and 'journalctl -xn' for details.
invoke-rc.d: initscript apache2, action "reload" failed.
dpkg: error processing archive /var/cache/apt/archives/ldap-account-manager_4.7.1-1_all.deb (--unpack):
subprocess new post-removal script returned error exit status 1
Job for apache2.service failed. See 'systemctl status apache2.service' and 'journalctl -xn' for details.
invoke-rc.d: initscript apache2, action "reload" failed.
dpkg: error while cleaning up:
subprocess new post-removal script returned error exit status 1
E: Sub-process /usr/bin/dpkg returned an error code (1)
root@zx:/home/qwerty#
tr64
 
Posts: 23
Joined: 2015-08-12 10:27

Re: problem ragarding apt-get upgrade

Postby tr64 » 2015-08-13 08:16

I used "systemctl" to find the error
the only red colored note was this:

â—ڈ apache2.service loaded failed failed LSB: Apache2 web server
tr64
 
Posts: 23
Joined: 2015-08-12 10:27

Next

Return to Beginners Questions

Who is online

Users browsing this forum: No registered users and 3 guests

fashionable